Have ideas to improve npm?Join in the discussion! »

eslint-config-ryym

1.5.0 • Public • Published

Shareable ESLint config for @ryym

Usage

First, install ESLint and this config via npm.

npm i -D eslint eslint-config-ryym

Use basic configs

module.exports = {
  "extends": "ryym/base"
}

Use basic configs for React (JSX)

module.exports = {
  "extends": "ryym/base-react",
  "plugins": [
    "react"
  ]
}

Note that you need to install eslint-plugin-react.

Install

npm i eslint-config-ryym

DownloadsWeekly Downloads

3

Version

1.5.0

License

MIT

Last publish

Collaborators

  • avatar